import Footer from '@/components/Footer';
import Navbar from '@/components/Navbar';
import { Toaster as Sonner } from '@/components/ui/sonner';
import { Toaster } from '@/components/ui/toaster';
import { TooltipProvider } from '@/components/ui/tooltip';
import { type BreadcrumbItem } from '@/types';
import { QueryClient, QueryClientProvider } from '@tanstack/react-query';
import { type ReactNode } from 'react';

interface AppLayoutProps {
    children: ReactNode;
    breadcrumbs?: BreadcrumbItem[];
}
const queryClient = new QueryClient();

export default ({ children, breadcrumbs, ...props }: AppLayoutProps) => (
    <QueryClientProvider client={queryClient}>
        <TooltipProvider>
            <Toaster />
            <Sonner />
            <Navbar />
            {children}
            <Footer />
        </TooltipProvider>
    </QueryClientProvider>
);
